GNU bug report logs - #48700
guix import fails with unexpected token

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: "Philip Munksgaard" <philip@HIDDEN>; merged with #48701; dated Thu, 27 May 2021 14:47:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 48700 48701. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48700 <at> debbugs.gnu.org:


Received: (at 48700) by debbugs.gnu.org; 30 May 2021 16:39:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 30 12:39:17 2021
Received: from localhost ([127.0.0.1]:60272 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lnOT7-0003Eo-Av
	for submit <at> debbugs.gnu.org; Sun, 30 May 2021 12:39:17 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:57521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1lnOT4-0003EZ-5O
 for 48700 <at> debbugs.gnu.org; Sun, 30 May 2021 12:39:16 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 3756CA18
 for <48700 <at> debbugs.gnu.org>; Sun, 30 May 2021 12:39:08 -0400 (EDT)
Received: from imap11 ([10.202.2.61])
 by compute5.internal (MEProxy); Sun, 30 May 2021 12:39:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=munksgaard.me;
 h=mime-version:message-id:date:from:to:subject:content-type; s=
 fm1; bh=RINBOKSYQhd8WvGWFyZGj5oP9A31DPWE0sqLLicpTgk=; b=WPXNo9K/
 cdxVHqEiwhEvjfSbl1XeFr6dhCio8FRHJedB+B4I/ANDKwQXiK8g6sb/bdC9/XKn
 /0LEel4uUedT6UnGr9rl0TKyfs4AqUeWPBDzi8c5l+YeQCfJJs1NmcnCHsqyG6zP
 yCNW5nX6TtT2KjDN3oiLwEJDOnG4oHaQAmeWnV/y4Ud7M1Zaa8H7uqOfedi1EgAh
 Pizo461b0NwuGdt73kq8AIjYNKKMJDpzzq8/zya8keFEDJSMNfK705dmm+U23QhS
 x86isYSBpaAaxOJ7Bn30FdQheJ6PSasQ3HnM+lDj426zeZhLYm4DO3iFIKVBDn0F
 myIu8PIVwWGo6w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=RINBOKSYQhd8WvGWFyZGj5oP9A31D
 PWE0sqLLicpTgk=; b=B1ayoKeFxmezrbWVwCd1W8aVk9M+QL4IOkIIGIK3AaINR
 oZ5PY9g8TKY18e3n6dDL7Vo/GYr9fJc7tlBKEgrkoUVYTwMmHyzxGrcXESKtLE8v
 9I1sWbUgcEpUpkpteEphH1QwZDTWwoeUDmiZAk9rXbY30PrqrQXXdZrdt1r69sWf
 WR0c65ZUWXoZVP0C5F32w5284Ic9AaYcUGeCen8ku22gkNO8cl4af0dQkFAjxFjU
 A1GQDZpug15ocGhxONEz5JiNz9ngiH9/aQiPnDUsw+W/aVs49Px2nBSFhjlyyylK
 r3O8NCbtfWKevFKUGYMeYoHSsXVP6WV+U0pesRjAw==
X-ME-Sender: <xms:q7-zYG59pKJpesqpSWUfVxxns99s6uBg3q3b64kWKsJHjhr7uDrAOA>
 <xme:q7-zYP5XGFbOckRo2mSAXtBifQ4aP4K0giXrP8--_9f93w0-jKTzVYYn21al_-UzM
 sjMUH-zGTx9G6vKQhI>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdeluddguddtfecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepofgfggfkfffhvffutgesthdtre
 dtreertdenucfhrhhomhepfdfrhhhilhhiphcuofhunhhkshhgrggrrhgufdcuoehphhhi
 lhhiphesmhhunhhkshhgrggrrhgurdhmvgeqnecuggftrfgrthhtvghrnhepkeetgeevgf
 ehledtvddtuddvkeehtdejudfhgeekhfdtueduteegtdfhlefgjeffnecuffhomhgrihhn
 pehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilh
 hfrhhomhepphhhihhlihhpsehmuhhnkhhsghgrrghrugdrmhgv
X-ME-Proxy: <xmx:q7-zYFcD9OAkWvTpdW86PzESxajhDPzRBfGUbYl74OrzTEyzTUVzIQ>
 <xmx:q7-zYDIC_c07p6cUzuwjftAQg3cuBoQyGPSgSr7De5NMuPLrZYAfCA>
 <xmx:q7-zYKKfDqM1CwsvuKByBvl3KyscVLSMuCWy6LATj2dB_kqmpQMNdw>
 <xmx:q7-zYPXnUSACymM26hT6i-qtKpEMXksduDRltrTcNYTojycPFbuGgg>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 8C250240062; Sun, 30 May 2021 12:39:07 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-468-gdb53729b73-fm-20210517.001-gdb53729b
Mime-Version: 1.0
Message-Id: <39115c49-4522-413d-87f9-bc2c422b0dcf@HIDDEN>
Date: Sun, 30 May 2021 18:38:47 +0200
From: "Philip Munksgaard" <philip@HIDDEN>
To: 48700 <at> debbugs.gnu.org
Subject: guix import fails with unexpected token
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48700
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

As far as I can tell, this is actually an instance of https://issues.guix.gnu.org/48701. You can close this issue in favor of that one.




Information forwarded to bug-guix@HIDDEN:
bug#48700; Package guix. Full text available.

Message received at 48700 <at> debbugs.gnu.org:


Received: (at 48700) by debbugs.gnu.org; 27 May 2021 20:00:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 16:00:33 2021
Received: from localhost ([127.0.0.1]:52849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmMBE-0001SF-Rk
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 16:00:33 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:41716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lmMBC-0001S1-Qy
 for 48700 <at> debbugs.gnu.org; Thu, 27 May 2021 16:00:31 -0400
Received: by mail-wr1-f49.google.com with SMTP id c3so1033197wrp.8
 for <48700 <at> debbugs.gnu.org>; Thu, 27 May 2021 13:00:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=fR+KHl49LMuN8VZlx06qxRbygBACZ9Pwi48fmsJQL9Q=;
 b=KOoq8U2m8w3GPTwmZLVYskaK7QHSx+DHpMjmc6ff1fVCVB0ZWbty1lXXIguWaKYOhI
 L5QumQGlx/PCON6+wX4LXnF5GdG96+pRJqK90yaI5BpFi3OfZJeKRh8zy8f57OcrhZ55
 +M2awgeF8XOqiOTgpv4jX/S1gRh2aE4uvVJSmhkGuRPRqXmTamhkURiTsbaGypi46M1o
 IaoaiiqR2a9tEAtc1dOfKCqbDV9gQdCajQgbAGspTsDIdEWurbZFF3fpecBhZnLExJIP
 70yoOggD4JU/HrTpsaQ4F+X3NevZP+iEpmV8zg/o0ZkVqJ6IEUAASiV01oIqjUoTEAjy
 rZDA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=fR+KHl49LMuN8VZlx06qxRbygBACZ9Pwi48fmsJQL9Q=;
 b=iYINQ1awG+zgzAoi7xsTy9JuJ5n/xIbZ1JKvoLCC336znNU59l5mHkxa2OBxIyqIg/
 7Ate2I0i01PkLdydewPA6FBLDWX8B/vwwfuqTnwHV9gEmkUrpjgh8CcldIp6sMB88iOs
 6xiF5QpsCor3TQk/LWbCHj8+0LV8vtwXwHtCvgFKR4Hbh21aSHT22UB2aPC5ZVnKfetX
 jHQG3Gg2Slg7Vhn1HdwzWGEuMLEdi1MZSQwbEZsW3+sQkxsZzDz7BMPay3UiX9qyPHTI
 Z+M8wlF+iJk7a0fQvm+V8I/CEN6t0Gb87JQoIYfdnkU/R3XQRfJovj7QUanqiagnVtfD
 +JgA==
X-Gm-Message-State: AOAM532uiNF1uFWArhNY3xJGtnDNcu2xZpaaHP/m2fikXYNh63AJtHsF
 O0PDhVqfMU6+qMDIAFA4ZBUcLklbPPg=
X-Google-Smtp-Source: ABdhPJz10oUa0jhd2tO1fvPC4Onta0GPAFUDFQ8TO83cZweJaZHZ2tFzeGdvWi7Jg+dyiauzRi7jsg==
X-Received: by 2002:a5d:6488:: with SMTP id o8mr2557665wri.113.1622145625017; 
 Thu, 27 May 2021 13:00:25 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id f1sm4876254wrr.63.2021.05.27.13.00.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 May 2021 13:00:24 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: "Philip Munksgaard" <philip@HIDDEN>
Subject: Re: bug#48700: guix import fails with unexpected token
References: <00e1a49d-d5af-402d-987c-f940adc5ab81@HIDDEN>
Date: Thu, 27 May 2021 21:54:52 +0200
In-Reply-To: <00e1a49d-d5af-402d-987c-f940adc5ab81@HIDDEN> (Philip
 Munksgaard's message of "Thu, 27 May 2021 15:08:30 +0200")
Message-ID: <86tumolzoz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48700
Cc: 48700 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Thu, 27 May 2021 at 15:08, "Philip Munksgaard" <philip@HIDDEN> wrote:
> Trying to to import futhark from hackage fails, when using the -r
> flag.

Thanks for the report.  I think it is the same as:

<http://issues.guix.gnu.org/issue/44115>


All the best,
simon.




Information forwarded to bug-guix@HIDDEN:
bug#48700; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 May 2021 14:46:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 10:46:52 2021
Received: from localhost ([127.0.0.1]:52554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmHHg-0007ID-0h
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 10:46:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:41386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1lmFl3-0006z2-O5
 for submit <at> debbugs.gnu.org; Thu, 27 May 2021 09:09:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40816)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <philip@HIDDEN>)
 id 1lmFl3-0001K3-Fl
 for bug-guix@HIDDEN; Thu, 27 May 2021 09:09:05 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:42421)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <philip@HIDDEN>)
 id 1lmFl0-0005Eg-Su
 for bug-guix@HIDDEN; Thu, 27 May 2021 09:09:05 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 282C212A8
 for <bug-guix@HIDDEN>; Thu, 27 May 2021 09:08:51 -0400 (EDT)
Received: from imap11 ([10.202.2.61])
 by compute5.internal (MEProxy); Thu, 27 May 2021 09:08:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=munksgaard.me;
 h=mime-version:message-id:date:from:to:subject:content-type
 :content-transfer-encoding; s=fm1; bh=hg1pxQFf3t/XybGRKdCND4FnX3
 st67tDdWk7Fro54yU=; b=Fla0F0tP22huiqP9OMI5uTfD/7Fzuh/cZkBLuBN81h
 il2wSI7lRuLZyUodn5ffL8ILjApGNX0UG1QUiSzbx5zdy/dhZjEKuOS3sYnc/DUb
 /xbT2PO7YHDGQJy8BgppPaw+4r3RZwIAius9j7rTh64hTmO0OZwgvvHj/YnQ4naj
 6h4gJLvyZtr9xFt4d9GY8zuwDMyo8qJ1RK2E18aj+MF/0gaR02O0y0vK0S901R7z
 U1B/Lmc5pqfW7+7ElI3FOxC4rTmHBHnkxCYdrnipXiSRxXRTS2gO5bmUnWj5CnXs
 8eN9zkusK2mQ1R9q/xc9eQHd7/hiXy5KQvqxks+P4hTQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=hg1pxQ
 Ff3t/XybGRKdCND4FnX3st67tDdWk7Fro54yU=; b=q2ZjmefLacD3QBkqgsYmq5
 U0K/JGhBR7AU2v5vSm+vUXVQHO3NpD9MHB5SM6lNzx7sX8TSRkbX2UDPw2pXQ0Rc
 WsQQ8zMT0GyeRQ+OdfZ6A85KRCC8r7oatq+ElfDtTooFmJu3KUcOv5pmLnyFg41S
 qq6VbyHCfvnweZyJD9LiRMuC976r0UgOJsRkQbbkr1Q2D4wbEqjTG+921CZqJgEi
 H6BbKEx/j3pCWUdlHUnxbtlybqSyinJFfhz7PRyas+rkYJ9OPgS5a6hDHmKVYfcU
 d3NNROlVn5O1V76M1uMwAFebgfiZg0JYoqHMyYbq8J3quBdD1NmDQFR/G0UBqyEA
 ==
X-ME-Sender: <xms:4pmvYOCH1MVWb7hrPYnAa5IPG_BwJQQ4IPyC08r0Rc7sZzCSMonFNw>
 <xme:4pmvYIg2B_hDGoW7tSrELbJi5kgcgW2lvb0OVOaARUFJDjF9dOQ7jLZP1Ez_YyJpd
 qPVUDaJdVsNsF82zfo>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdekhedgieduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfffhffvufgtgfesthhqre
 dtreerjeenucfhrhhomhepfdfrhhhilhhiphcuofhunhhkshhgrggrrhgufdcuoehphhhi
 lhhiphesmhhunhhkshhgrggrrhgurdhmvgeqnecuggftrfgrthhtvghrnhepvedvhfetud
 elhfeiiefgledvueffgffgieejgeduteejkeelvdejfeeiffefgfdvnecuffhomhgrihhn
 pehhrghskhgvlhhlrdhorhhgnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpe
 hmrghilhhfrhhomhepphhhihhlihhpsehmuhhnkhhsghgrrghrugdrmhgv
X-ME-Proxy: <xmx:4pmvYBnA0EJBGXTpFMlZqaq0Ml5qmbf48L9jYs7y593KCzioYv-z2A>
 <xmx:4pmvYMysZwkOx9I1haleoM1q6xqkr6-qHuAboi6oBR7BdvVwuAdewA>
 <xmx:4pmvYDSft5Z9yQzOgof8-82bxHh1KO6tdy7vqwcQ0d7RALPPym5cBQ>
 <xmx:4pmvYKcOetBlxg4I1GuD1B7hEIp8TgW6oPSHdIt1WzBEbqsc09Hk8g>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 9CC8C24005D; Thu, 27 May 2021 09:08:50 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-468-gdb53729b73-fm-20210517.001-gdb53729b
Mime-Version: 1.0
Message-Id: <00e1a49d-d5af-402d-987c-f940adc5ab81@HIDDEN>
Date: Thu, 27 May 2021 15:08:30 +0200
From: "Philip Munksgaard" <philip@HIDDEN>
To: bug-guix@HIDDEN
Subject: guix import fails with unexpected token
Content-Type: text/plain;charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=64.147.123.19; envelope-from=philip@HIDDEN;
 helo=wout3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 27 May 2021 10:46:51 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Trying to to import futhark from hackage fails, when using the -r flag.

$ guix import hackage -r futhark
user with UID 497492280 not found

Starting download of /tmp/guix-file.MqWnPq
From https://hackage.haskell.org/package/futhark/futhark-0.19.5.tar.gz..=
.
 =E2=80=A619.5.tar.gz  959KiB                 6.6MiB/s 00:00 [##########=
########] 100.0%
user with UID 497492280 not found

Starting download of /tmp/guix-file.ZPWyOq
From https://hackage.haskell.org/package/bytestring-to-vector/bytestring=
-to-vector-0.3.0.1.tar.gz...
 =E2=80=A6tor-0.3.0.1.tar.gz  4KiB            9.4MiB/s 00:00 [##########=
########] 100.0%
user with UID 497492280 not found

Starting download of /tmp/guix-file.bjbYYp
From https://hackage.haskell.org/package/bmp/bmp-1.2.6.3.tar.gz...
 =E2=80=A6.3.tar.gz  10KiB                   23.7MiB/s 00:00 [##########=
########] 100.0%
user with UID 497492280 not found

Starting download of /tmp/guix-file.uhGsUr
From https://hackage.haskell.org/package/directory-tree/directory-tree-0=
.12.1.tar.gz...
 =E2=80=A6-0.12.1.tar.gz  12KiB              15.1MiB/s 00:00 [##########=
########] 100.0%
user with UID 497492280 not found

Starting download of /tmp/guix-file.SUjZRr
From https://hackage.haskell.org/package/language-c-quote/language-c-quo=
te-0.13.tar.gz...
 =E2=80=A6te-0.13.tar.gz  74KiB               4.2MiB/s 00:00 [##########=
########] 100.0%
user with UID 497492280 not found

Starting download of /tmp/guix-file.W3CjMq
From https://hackage.haskell.org/package/mainland-pretty/mainland-pretty=
-0.7.1.tar.gz...
 =E2=80=A6y-0.7.1.tar.gz  10KiB              11.8MiB/s 00:00 [##########=
########] 100.0%
user with UID 497492280 not found

Starting download of /tmp/guix-file.K7aEUp
From https://hackage.haskell.org/package/neat-interpolation/neat-interpo=
lation-0.5.1.2.tar.gz...
 =E2=80=A6on-0.5.1.2.tar.gz  6KiB             9.7MiB/s 00:00 [##########=
########] 100.0%
user with UID 497492280 not found

Starting download of /tmp/guix-file.ovhTIs
From https://hackage.haskell.org/package/pcg-random/pcg-random-0.1.3.7.t=
ar.gz...
 =E2=80=A6.1.3.7.tar.gz  25KiB                3.5MiB/s 00:00 [##########=
########] 100.0%
user with UID 497492280 not found

Starting download of /tmp/guix-file.nj5C8q
From https://hackage.haskell.org/package/srcloc/srcloc-0.6.tar.gz...
 =E2=80=A6.6.tar.gz  4KiB                     9.9MiB/s 00:00 [##########=
########] 100.0%
Syntax error: unexpected token : common (at line 36, column 0)
Syntax error: unexpected end of input
Backtrace:
In ice-9/boot-9.scm:
  1736:10 17 (with-exception-handler _ _ #:unwind? _ # _)
In unknown file:
          16 (apply-smob/0 #<thunk 7fad568fb520>)
In ice-9/boot-9.scm:
    718:2 15 (call-with-prompt _ _ #<procedure default-prompt-handle=E2=80=
=A6>)
In ice-9/eval.scm:
    619:8 14 (_ #(#(#<directory (guile-user) 7fad568fec80>)))
In guix/ui.scm:
  2166:12 13 (run-guix-command _ . _)
In guix/scripts/import.scm:
   120:11 12 (guix-import . _)
In guix/scripts/import/hackage.scm:
   132:26 11 (guix-import-hackage . _)
In guix/import/utils.scm:
   477:27 10 (recursive-import _ #:repo->guix-package _ #:guix-name _ =E2=
=80=A6)
In srfi/srfi-1.scm:
   586:29  9 (map1 _)
   586:29  8 (map1 _)
   586:29  7 (map1 _)
   586:29  6 (map1 _)
   586:29  5 (map1 _)
   586:29  4 (map1 (("neat-interpolation" #f) ("pcg-random" #f) (=E2=80=A6=
) =E2=80=A6))
   586:29  3 (map1 (("pcg-random" #f) ("srcloc" #f) ("versions" #f)))
   586:29  2 (map1 (("srcloc" #f) ("versions" #f)))
   586:17  1 (map1 (("versions" #f)))
In guix/import/utils.scm:
   466:33  0 (lookup-node "versions" #f)

guix/import/utils.scm:466:33: In procedure lookup-node:
Wrong number of values returned to continuation (expected 2)




Acknowledgement sent to "Philip Munksgaard" <philip@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#48700; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 30 May 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.